package com.ruoyi.common.constant;

/**
 * 岗检方案枚举
 */
public enum PostProgrammeEnum {

    //status    状态：1-待审核；2-审核中；3-通过；4-驳回；
    STATUS_WAIT("待审核", 1),
    STATUS_ING("审核中", 2),
    STATUS_PASS("通过；", 3),
    STATUS_BACK("驳回；", 4),


    //status_icfa 1-内控法务部审批-状态：1-待审核；3-通过；4-驳回；
    STATUS_ICFA_WAIT("待审核", 1),
    STATUS_ICFA_PASS("通过；", 3),
    STATUS_ICFA_BACK("驳回；", 4),


    //status_hr 2-人力资源审批-状态：1-待审核；3-通过；4-驳回；
    STATUS_HR_WAIT("待审核", 1),
    STATUS_HR_PASS("通过；", 3),
    STATUS_HR_BACK("驳回；", 4),


    // 流转步骤 默认步骤从1开始
    STEP_INIT("步骤1", 1),
    STEP("步骤2", 2),
    STEP_UP("步骤3",3);


    private String name;
    private Integer value;

    PostProgrammeEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
